> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 非推奨を解除

> 非推奨マークを消し、ステータスを以前の軌道へ戻す。

**`POST`** `https://api-datahub.octoparse.com/v1/data-apps/{app_id}/undeprecate`

認証：APIキー必須（`Authorization: Bearer <API Key>`）。App 作者のみ。他者は `404`。

非推奨解除（冪等）：マークを消す。導出ステータスは以前の軌道へ — Release があれば published（可視範囲で市場復帰）、なければ draft。

版レベル yank/unyank と同型: 非推奨は識別子マークであり物理状態ではない。復元は可視性やメンテナンススイッチを触らない。作者が先に付けた運用トグルはそのまま。

## リクエスト

### パスパラメータ

<ParamField path="app_id" type="string" required>
  App reference.
</ParamField>

### リクエスト例

```bash theme={null}
curl -X POST \
  -H "Authorization: Bearer $OCTOPARSE_API_KEY" \
  "https://api-datahub.octoparse.com/v1/data-apps/carol/reviews-query/undeprecate"
```

## レスポンス

### 200 成功

```json theme={null}
{
  "data": {
    "app_name": "string",
    "namespace": "string",
    "version": "",
    "status": "string",
    "missing_secrets": [
      "string"
    ]
  }
}
```

ペイロードは `data` に包まれます。フィールド:

<ResponseField name="app_name" type="string" required>
  —
</ResponseField>

<ResponseField name="namespace" type="string">
  —
</ResponseField>

<ResponseField name="version" type="string">
  —
</ResponseField>

<ResponseField name="status" type="string" required>
  復元後の導出ステータス。
</ResponseField>

<ResponseField name="missing_secrets" type="string[]">
  —
</ResponseField>

### エラー

| HTTP | `code`         | `category`  | Description    |
| ---- | -------------- | ----------- | -------------- |
| 401  | `unauthorized` | `forbidden` | API キー欠落または無効。 |

エラー応答は `{"error": {code, category, message, retryable}}` です。<a href="/docs/jp/datahub/api/reference/introduction#errors">エラー</a> を参照。

## クライアントライブラリ

Python / JavaScript SDK はまだこのエンドポイントをラップしていません。REST を直接呼び出してください。
